### Method

# Vips Image write_to_target

#### Declaration [src]

    int
    vips_image_write_to_target (
      VipsImage* in,
      const char* suffix,
      VipsTarget* target,
      ...
    )

#### Description [src]

Writes `in` to `output` in format `suffix`.

Save options may be appended to `suffix` as `[name=value,...]` or given as a `NULL`-terminated list of name-value pairs at the end of the arguments. Options given in the function call override options given in the filename.

You can call the various save operations directly if you wish, see `vips_jpegsave_target()`, for example.

See also

`vips_image_write_to_file()`.

This method is not directly available to language bindings.

#### Parameters

`suffix`

  Type: `const char*`

  Format to write.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `VipsTarget`

  Target to write to.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.